Loading...
Searching...
No Matches
Ui::CWindow Class Reference
Inheritance diagram for Ui::CWindow:
[legend]

## Public Member Functions

void | Flush ()
bool | Create (Math::Point pos, Math::Point dim, int icon, EventType eventMsg) override
CButton * | CreateButton (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CColor * | CreateColor (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CCheck * | CreateCheck (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CKey * | CreateKey (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CGroup * | CreateGroup (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CImage * | CreateImage (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CLabel * | CreateLabel (Math::Point pos, Math::Point dim, int icon, EventType eventMsg, std::string name)
CEdit * | CreateEdit (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CEditValue * | CreateEditValue (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CScroll * | CreateScroll (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CSlider * | CreateSlider (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CEnumSlider * | CreateEnumSlider (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CList * | CreateList (Math::Point pos, Math::Point dim, int icon, EventType eventMsg, float expand=1.2f)
CShortcut * | CreateShortcut (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CMap * | CreateMap (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CGauge * | CreateGauge (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
CTarget * | CreateTarget (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
bool | DeleteControl (EventType eventMsg)
CControl * | SearchControl (EventType eventMsg)
EventType | GetEventTypeReduce ()
EventType | GetEventTypeFull ()
EventType | GetEventTypeClose ()
void | SetName (std::string name, bool tooltip=true) override
void | SetTrashEvent (bool bTrash)
bool | GetTrashEvent ()
void | SetPos (Math::Point pos) override
void | SetDim (Math::Point dim) override
void | SetMinDim (Math::Point dim)
void | SetMaxDim (Math::Point dim)
Math::Point | GetMinDim ()
Math::Point | GetMaxDim ()
void | SetMovable (bool bMode)
bool | GetMovable ()
void | SetRedim (bool bMode)
bool | GetRedim ()
void | SetClosable (bool bMode)
bool | GetClosable ()
void | SetMaximized (bool bMaxi)
bool | GetMaximized ()
void | SetMinimized (bool bMini)
bool | GetMinimized ()
void | SetFixed (bool bFix)
bool | GetFixed ()
bool | GetTooltip (Math::Point pos, std::string &name) override
bool | EventProcess (const Event &event) override
void | Draw () override
void | SetFocus (CControl *focusControl) override
Public Member Functions inherited from Ui::CControl
virtual Math::Point | GetPos ()
virtual Math::Point | GetDim ()
virtual bool | SetState (int state, bool bState)
virtual bool | SetState (int state)
virtual bool | ClearState (int state)
virtual bool | TestState (int state)
virtual int | GetState ()
virtual void | SetIcon (int icon)
virtual int | GetIcon ()
virtual std::string | GetName ()
virtual void | SetTextAlign (Gfx::TextAlign mode)
virtual int | GetTextAlign ()
virtual void | SetFontSize (float size)
virtual float | GetFontSize ()
virtual void | SetFontStretch (float stretch)
virtual float | GetFontStretch ()
virtual void | SetFontType (Gfx::FontType font)
virtual Gfx::FontType | GetFontType ()
virtual bool | SetTooltip (std::string name)
virtual bool | GetFocus ()
virtual EventType | GetEventType ()

## Protected Member Functions

int | BorderDetect (Math::Point pos)
void | AdjustButtons ()
void | MoveAdjust ()
void | DrawVertex (Math::Point pos, Math::Point dim, int icon)
void | DrawHach (Math::Point pos, Math::Point dim)
template<typename ControlClass>
ControlClass * | CreateControl (Math::Point pos, Math::Point dim, int icon, EventType eventMsg)
Protected Member Functions inherited from Ui::CControl
void | GlintDelete ()
void | GlintCreate (Math::Point ref, bool bLeft=true, bool bUp=true)
void | GlintFrame (const Event &event)
void | DrawPart (int icon, float zoom, float ex)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, float ex=0.0f)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, Math::Point corner, float ex)
void | DrawWarning (Math::Point pos, Math::Point dim)
void | DrawShadow (Math::Point pos, Math::Point dim, float deep=1.0f)
virtual bool | Detect (Math::Point pos)
std::string | GetResourceName (EventType eventType)
int | SetButtonTextureForIcon (int icon)
| Set texture in m_engine to correct buttonX.png for given icon.

## Protected Attributes

std::vector< std::unique_ptr< CControl > > | m_controls
bool | m_bTrashEvent
bool | m_bMaximized
bool | m_bMinimized
bool | m_bFixed
Math::Point | m_minDim
Math::Point | m_maxDim
std::unique_ptr< CButton > | m_buttonReduce
std::unique_ptr< CButton > | m_buttonFull
std::unique_ptr< CButton > | m_buttonClose
bool | m_bMovable
bool | m_bRedim
bool | m_bClosable
bool | m_bCapture
Math::Point | m_pressPos
int | m_pressFlags
Gfx::EngineMouseType | m_pressMouse
Protected Attributes inherited from Ui::CControl
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particle
CEventQueue * | m_event
CRobotMain * | m_main
CSoundInterface * | m_sound
CSettings * | m_settings
Math::Point | m_pos
Math::Point | m_dim
int | m_icon
EventType | m_eventType
int | m_state
float | m_fontSize
float | m_fontStretch
Gfx::FontType | m_fontType
Gfx::TextAlign | m_textAlign
std::string | m_name
std::string | m_tooltip
bool | m_bFocus
bool | m_bCapture
bool | m_bGlint
Math::Point | m_glintCorner1
Math::Point | m_glintCorner2
float | m_glintProgress
Math::Point | m_glintMouse

## Member Function Documentation

## Create()

bool Ui::CWindow::Create | ( | Math::Point | pos,
|  | Math::Point | dim,
|  | int | icon,
|  | EventType | eventMsg )

override virtual

Reimplemented from Ui::CControl.

## SetName()

void Ui::CWindow::SetName | ( | std::string | name,
|  | bool | tooltip = true )

override virtual

Reimplemented from Ui::CControl.

## SetPos()

void Ui::CWindow::SetPos | ( | Math::Point | pos | ) |

override virtual

Reimplemented from Ui::CControl.

## SetDim()

void Ui::CWindow::SetDim | ( | Math::Point | dim | ) |

override virtual

Reimplemented from Ui::CControl.

## GetTooltip()

bool Ui::CWindow::GetTooltip | ( | Math::Point | pos,
|  | std::string & | name )

override virtual

Reimplemented from Ui::CControl.

## EventProcess()

bool Ui::CWindow::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from Ui::CControl.

## Draw()

void Ui::CWindow::Draw | ( |  | ) |

override virtual

Reimplemented from Ui::CControl.

## SetFocus()

void Ui::CWindow::SetFocus | ( | CControl * | focusControl | ) |

override virtual

Reimplemented from Ui::CControl.

The documentation for this class was generated from the following files:

- src/ui/controls/window.h
- src/ui/controls/window.cpp